<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

	<parent>
		<artifactId>JOSAST-parent</artifactId>
		<groupId>org.josast</groupId>
		<version>0.0.2-SNAPSHOT</version>
	</parent>



  <artifactId>ApplicationSatelliteDatabaseCli</artifactId>


  <name>ApplicationSatelliteDatabaseCli</name>
  <!-- FIXME change it to the project's website -->
  <url>http://www.example.com</url>

  <properties>

    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.source>1.8</maven.compiler.source>
    <maven.compiler.target>1.8</maven.compiler.target>
    

	<javax.activation.version>1.2.0</javax.activation.version>
    <jaxb.api.version>2.4.0-b180830.0359</jaxb.api.version>
	<jaxb.core.version>3.0.0-M2</jaxb.core.version>
	<jaxb.osgi.version>3.0.0-M2</jaxb.osgi.version>
	<jaxb.impl.version>3.0.0-M2</jaxb.impl.version>
  </properties>
    


  <dependencies>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.11</version>
      <scope>test</scope>
    </dependency>
    
      		        <dependency>
            <groupId>com.sun.activation</groupId>
            <artifactId>javax.activation</artifactId>
            <version>${javax.activation.version}</version>
        </dependency>
		<dependency>
  <groupId>commons-cli</groupId>
  <artifactId>commons-cli</artifactId>
  <version>1.4</version>
</dependency>


        
		<!-- https://mvnrepository.com/artifact/org.apache.logging.log4j/log4j-core -->
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
			<version>2.8.2</version>
		</dependency>

		
		<!-- https://mvnrepository.com/artifact/org.json/json -->
<dependency>
    <groupId>org.json</groupId>
    <artifactId>json</artifactId>
    <version>20190722</version>
</dependency>
   <dependency> 
        <groupId>org.josast</groupId>
      <artifactId>ModuleSatelliteDatabase</artifactId>
  <version>0.0.1-SNAPSHOT</version>
    </dependency>
  </dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<executions>
					<execution>
						<id>make-assembly</id> <!-- this is used for inheritance merges -->
						<phase>package</phase> <!-- bind to the packaging phase -->
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<archive>
						<manifest>
							<mainClass>
								org.josast.ApplicationSatelliteDatabaseCli.AppCli
							</mainClass>
						</manifest>
					</archive>
					<descriptorRefs>
						<descriptorRef>jar-with-dependencies</descriptorRef>
					</descriptorRefs>
				</configuration>
			</plugin>
			
         

			
		</plugins>
	</build>

</project>
